Search & list reports
curl --request GET \
--url https://api.staging.payrails.io/analytics/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/analytics/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/analytics/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.staging.payrails.io/analytics/reports?page[cursor]=MQ==&page[size]=20",
"prev": "https://api.staging.payrails.io/analytics/reports?page[before]=MA==&page[size]=20",
"next": "https://api.staging.payrails.io/analytics/reports?page[after]=Mg==&page[size]=20",
"first": "https://api.staging.payrails.io/analytics/reports?page[size]=20",
"last": "https://api.staging.payrails.io/analytics/reports?page[before]=Ng==&page[size]=20"
},
"results": [
{
"id": "7f9f1882-a103-408d-ac96-46a7021e537a",
"code": "payments.itemized.1",
"name": "Payments",
"description": "The payments report"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}Search & list reports
Fetch a list of reports.
GET
https://api.staging.payrails.io
/
analytics
/
reports
Search & list reports
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Query Parameters
Search collection items after that cursor. Cursor for paging results.
Search collection items before that cursor. Cursor for paging results.
Length of the collection to search.
Response
Success.
Last modified on October 7, 2026